- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# lwip_socket Struct Reference

## Data Fields
netconn * | conn
netbuf * | lastdata
uInt16 | lastoffset

## Detailed Description

Definition at line 45 of file sockets.c.

## Field Documentation

struct netconn* lwip_socket::conn

Definition at line 46 of file sockets.c.

Referenced by alloc_socket(), get_socket(), lwip_accept(), lwip_bind(), lwip_close(), lwip_connect(), lwip_listen(), lwip_recvfrom(), lwip_send(), lwip_sendto(), and lwip_write().

struct netbuf* lwip_socket::lastdata

Definition at line 47 of file sockets.c.

Referenced by alloc_socket(), lwip_close(), and lwip_recvfrom().

uInt16 lwip_socket::lastoffset

Definition at line 48 of file sockets.c.

Referenced by alloc_socket(), lwip_close(), and lwip_recvfrom().

The documentation for this struct was generated from the following file:

- src/sys/net/api/sockets.c